Name:			python-oauth2
Summary:		Python support for improved oauth
Version:		1.5.211
Release:		8%{?dist}
License:		MIT
Group:			System Environment/Libraries
Source0:		http://pypi.python.org/packages/source/o/oauth2/oauth2-%{version}.tar.gz
# https://github.com/simplegeo/python-oauth2/pull/108
# https://bugzilla.redhat.com/show_bug.cgi?id=784426
Patch0:			python-oauth2-multiple-GET-fix.patch
# https://github.com/pmakowski/python-oauth2/commit/7002422bb39bc137713933bc2e55251853830fcc
Patch1:			python-oauth2-CVE-2013-4346.patch
# https://github.com/pmakowski/python-oauth2/commit/d7f5cb079c9517703778bac08c7ed5591ad4487d
Patch2:			python-oauth2-CVE-2013-4347.patch
URL:			http://pypi.python.org/pypi/oauth2/
BuildArch:		noarch
BuildRequires:		python-devel, python-setuptools, python-simplejson
# These are the test requires, but since we don't run the tests, we disable them here.
# BuildRequires:	python-mock, python-httplib2, python-coverage
Requires:		python-simplejson, python-httplib2

%description
Oauth2 was originally forked from Leah Culver and Andy Smith's oauth.py 
code. Some of the tests come from a fork by Vic Fryzel, while a revamped 
Request class and more tests were merged in from Mark Paschal's fork. A 
number of notable differences exist between this code and its forefathers:

- 100% unit test coverage.
- The DataStore object has been completely ripped out. While creating unit 
  tests for the library I found several substantial bugs with the 
  implementation and confirmed with Andy Smith that it was never fully 
  baked.
- Classes are no longer prefixed with OAuth.
- The Request class now extends from dict.
- The library is likely no longer compatible with Python 2.3.
- The Client class works and extends from httplib2. It's a thin wrapper 
  that handles automatically signing any normal HTTP request you might 
  wish to make.

%prep
%setup -q -n oauth2-%{version}
%patch0 -p1 -b .multiple-GET-fix
%patch1 -p1 -b .CVE-2013-4346
%patch2 -p1 -b .CVE-2013-4347

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

# Do not package the "tests"
rm -rf %{buildroot}%{python_sitelib}/tests/

%check
# Tests try to access the network, which doesn't work in koji.
# export PYTHONPATH=$RPM_BUILD_ROOT/%%{python_sitelib}
# %{__python} setup.py test

%files
%doc PKG-INFO
%{python_sitelib}/oauth2/
%{python_sitelib}/oauth2-%{version}-*.egg-info/

%changelog
* Wed Oct  8 2014 Tom Callaway <spot@fedoraproject.org> - 1.5.211-8
- actually apply patch to fix CVE-2013-4347 (thanks to Jason Green, Matt Wilson)

* Fri Sep 12 2014 Tom Callaway <spot@fedoraproject.org> - 1.5.211-7
- Fix CVE-2013-4346 and CVE-2013-4347 (thanks to Philippe Makowski)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.211-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.211-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.211-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.211-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 27 2012 Tom Callaway <spot@fedoraproject.org> - 1.5.211-2
- do not package the "tests", resolves conflicts (bz797812)

* Thu Feb 16 2012 Tom Callaway <spot@fedoraproject.org> - 1.5.211-1
- update to 1.5.211
- add multiple GET fix from Jason Connor (bz 784426)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.170-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep  7 2011 Tom Callaway <spot@fedoraproject.org> - 1.5.170-2
- add Requires: python-httplib2 (bz736133)

* Mon Jul 18 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.5.170-1
- New upstream release
- Match current guidelines

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 22 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.1-1
- Initial package for Fedora
